[PATCH] osmo-mgw[master]: jenkins: use osmo-clean-workspace.sh before and after build

Neels Hofmeyr gerrit-no-reply at lists.osmocom.org
Fri Oct 27 21:08:10 UTC 2017


Review at  https://gerrit.osmocom.org/4485

jenkins: use osmo-clean-workspace.sh before and after build

See osmo-ci change I2409b2928b4d7ebbd6c005097d4ad7337307dd93 for rationale.

Depends: I2409b2928b4d7ebbd6c005097d4ad7337307dd93
Change-Id: I5a64b305dff5387cbe2462b564051f807061086d
---
M contrib/jenkins.sh
1 file changed, 4 insertions(+), 2 deletions(-)


  git pull ssh://gerrit.osmocom.org:29418/osmo-mgw refs/changes/85/4485/1

diff --git a/contrib/jenkins.sh b/contrib/jenkins.sh
index 22b962e..44152dc 100755
--- a/contrib/jenkins.sh
+++ b/contrib/jenkins.sh
@@ -14,9 +14,9 @@
 inst="$deps/install"
 export deps inst
 
-mkdir "$deps" || true
-rm -rf "$inst"
+osmo-clean-workspace.sh
 
+mkdir "$deps" || true
 osmo-build-dep.sh libosmocore "" ac_cv_path_DOXYGEN=false
 
 verify_value_string_arrays_are_terminated.py $(find . -name "*.[hc]")
@@ -45,3 +45,5 @@
   DISTCHECK_CONFIGURE_FLAGS="$MGCP --enable-vty-tests --enable-external-tests" \
   $MAKE distcheck \
   || cat-testlogs.sh
+
+osmo-clean-workspace.sh

-- 
To view, visit https://gerrit.osmocom.org/4485
To unsubscribe, visit https://gerrit.osmocom.org/settings

Gerrit-MessageType: newchange
Gerrit-Change-Id: I5a64b305dff5387cbe2462b564051f807061086d
Gerrit-PatchSet: 1
Gerrit-Project: osmo-mgw
Gerrit-Branch: master
Gerrit-Owner: Neels Hofmeyr <nhofmeyr at sysmocom.de>


More information about the gerrit-log mailing list